#ifndef __timer_h
#define __timer_h

#include <windef.h>
#include <winuser.h>

struct timer {
	UINT_PTR id;
	UINT interval;
	TIMERPROC timer_proc;
};

void timer_init(struct timer* timer, UINT interval, TIMERPROC timer_proc);
int timer_set(struct timer* timer);
int timer_stop(struct timer* timer);

#endif // __timer_h